# shakaplayer-mux

## 5.14.7

### Patch Changes

- Updated dependencies [eb2ebfa]
  - mux-embed@5.9.0

## 5.14.6

### Patch Changes

- Updated dependencies [8fa7827]
  - mux-embed@5.8.3

## 5.14.5

### Patch Changes

- Updated dependencies [38eeefe]
  - mux-embed@5.8.2

## 5.14.4

### Patch Changes

- Updated dependencies [cef9e40]
  - mux-embed@5.8.1

## 5.14.3

### Patch Changes

- Updated dependencies [049be75]
  - mux-embed@5.8.0

## 5.14.2

### Patch Changes

- Updated dependencies [41b0915]
  - mux-embed@5.7.0

## 5.14.1

### Patch Changes

- Updated dependencies [9cd7dbf]
  - mux-embed@5.6.0

## 5.14.0

### Minor Changes

- 18af18e: Update mechanism for generating unique IDs, used for `view_id` and others

### Patch Changes

- Updated dependencies [18af18e]
- Updated dependencies [157f957]
  - mux-embed@5.5.0

## 5.13.3

### Patch Changes

- 2d96231: [chore] internal build process fix (no functional changes)
- Updated dependencies [2d96231]
  - mux-embed@5.4.3

## 5.13.2

### Patch Changes

- Updated dependencies [e5f3e65]
- Updated dependencies [fecba0b]
- Updated dependencies [40f531d]
  - mux-embed@5.4.2

## 5.13.1

### Patch Changes

- Updated dependencies [1aa5968]
- Updated dependencies [723e2e3]
  - mux-embed@5.4.1

## 5.13.0

### Minor Changes

- 67e297d: Add updateData function that allows Mux Data metadata to be updated mid-view.

### Patch Changes

- Updated dependencies [67e297d]
  - mux-embed@5.4.0

## 5.12.8

### Patch Changes

- Updated dependencies [7c77ea4]
  - mux-embed@5.3.3

## 5.12.7

### Patch Changes

- Updated dependencies [d5e737e]
  - mux-embed@5.3.2

## 5.12.6

### Patch Changes

- Updated dependencies [2f2f885]
  - mux-embed@5.3.1

## 5.12.5

### Patch Changes

- Updated dependencies [08adb81]
  - mux-embed@5.3.0

## 5.12.4

### Patch Changes

- 0236794: fix an issue where `[Object object]` would be returned in error_context at times

## 5.12.3

### Patch Changes

- Updated dependencies [8a33cb0]
  - mux-embed@5.2.1

## 5.12.2

### Patch Changes

- Updated dependencies [6fc018a]
- Updated dependencies [5707014]
  - mux-embed@5.2.0

## 5.12.1

### Patch Changes

- f3b1694: Resolve Shaka crash if `response.data` is not present

## 5.12.0

### Minor Changes

- 95fd304: Target ES5 for bundles and validate bundles are ES5

### Patch Changes

- Updated dependencies [117d668]
- Updated dependencies [95fd304]
  - mux-embed@5.1.0

## 5.11.0

### Minor Changes

- 70b87d4: tsignore added due to new TypeScript types (types not fully applied yet)

### Patch Changes

- Updated dependencies [70b87d4]
  - mux-embed@5.0.0

## 5.10.5

### Patch Changes

- Updated dependencies [e3c4f1e]
- Updated dependencies [ad1f41a]
  - mux-embed@4.30.0

## 5.10.4

### Patch Changes

- Updated dependencies [2d9f466]
  - mux-embed@4.29.0

## 5.10.3

### Patch Changes

- 983e98c: Only submit requestcompleted events for the manifest, media, and encryption requests

## 5.10.2

### Patch Changes

- Updated dependencies [dabca78]
  - mux-embed@4.28.1

## 5.10.1

### Patch Changes

- Updated dependencies [7317411]
  - mux-embed@4.28.0

## 5.10.0

### Minor Changes

- b295a7f: fix an issue where seek latency could be unexpectedly large
- b295a7f: fix an issue where seek latency does not include time at end of a view

### Patch Changes

- Updated dependencies [6d868a0]
- Updated dependencies [32f78cb]
- Updated dependencies [b295a7f]
- Updated dependencies [903f8a8]
  - mux-embed@4.27.0

## 5.9.3

### Patch Changes

- Updated dependencies [15f2461]
  - mux-embed@4.26.0

## 5.9.2

### Patch Changes

- Updated dependencies [2cd1d81]
  - mux-embed@4.25.1

## 5.9.1

### Patch Changes

- Updated dependencies [3bdf5e8]
  - mux-embed@4.25.0

## 5.9.0

### Minor Changes

- a8e725e: Fix an issue where beacons over a certain size could get hung and not be sent

### Patch Changes

- Updated dependencies [a8e725e]
  - mux-embed@4.24.0

## 5.8.6

### Patch Changes

- Updated dependencies [4af958d]
- Updated dependencies [60634da]
- Updated dependencies [df8b73a]
  - mux-embed@4.23.0

## 5.8.5

### Patch Changes

- Updated dependencies [92ac6dc]
  - mux-embed@4.22.0

## 5.8.4

### Patch Changes

- Updated dependencies [197eab8]
  - mux-embed@4.21.0

## 5.8.3

### Patch Changes

- Updated dependencies [7243d2e]
  - mux-embed@4.20.0

## 5.8.2

### Patch Changes

- Updated dependencies [567814c]
  - mux-embed@4.19.0

## 5.8.1

### Patch Changes

- 920916c: Load error codes on-demand

## 5.8.0

### Minor Changes

- 4ed4414: Collect Shaka contextual error information

### Patch Changes

- Updated dependencies [2e187c3]
- Updated dependencies [e91e64c]
- Updated dependencies [b37e888]
  - mux-embed@4.18.0

## 5.7.0

### Minor Changes

- 2312218: Support `player_error_context` in `errorTranslator`

### Patch Changes

- Updated dependencies [81ffe36]
  - mux-embed@4.17.0

## 5.6.0

### Minor Changes

- cb4813e: Add new `renditionchange` fields to Shaka SDK
- 842167e: Adds support for new and updated fields: `renditionchange`, error, DRM type, dropped frames, and new custom fields
- d802f30: Add frame drops to Shaka SDK

### Patch Changes

- Updated dependencies [cb4813e]
- Updated dependencies [842167e]
- Updated dependencies [d802f30]
- Updated dependencies [73a23c2]
- Updated dependencies [4464398]
  - mux-embed@4.16.0

## 5.5.0

### Minor Changes

- b1b25a4: Expose `utils` on SDK initialization function to expose `utils.now()` for `player_init_time`

### Patch Changes

- 1dd4cc1: Record `request_url` and `request_id` with network events
- Updated dependencies [87027e7]
- Updated dependencies [b1b25a4]
- Updated dependencies [dafa288]
- Updated dependencies [1dd4cc1]
  - mux-embed@4.15.0

## 5.4.5

### Patch Changes

- Updated dependencies [99ab50c]
  - mux-embed@4.14.0

## 5.4.4

### Patch Changes

- Updated dependencies [faefb2e]
  - mux-embed@4.13.4

## 5.4.3

### Patch Changes

- Updated dependencies [3b44caa]
  - mux-embed@4.13.3

## 5.4.2

### Patch Changes

- Updated dependencies [b21e86a]
  - mux-embed@4.13.2

## 5.4.1

### Patch Changes

- df36c55: Fixes an issue with accessing the global object
- Updated dependencies [df36c55]
  - mux-embed@4.13.1

## 5.4.0

### Minor Changes

- 388e558: Upgraded internal webpack version

### Patch Changes

- Updated dependencies [4b78021]
- Updated dependencies [388e558]
- Updated dependencies [a534321]
  - mux-embed@4.13.0

## 5.3.14

### Patch Changes

- 512d757: Publish package to NPM

## 5.3.13

### Patch Changes

- Updated dependencies [aaf3b01]
  - mux-embed@4.12.1

## 5.3.12

### Patch Changes

- Updated dependencies [856b2df]
  - mux-embed@4.12.0

## 5.3.11

### Patch Changes

- Updated dependencies [b2499f4]
  - mux-embed@4.11.0

## 5.3.10

### Patch Changes

- Updated dependencies [a59a3ee]
- Updated dependencies [a59a3ee]
  - mux-embed@4.10.0

## 5.3.9

### Patch Changes

- Updated dependencies [91c4794]
  - mux-embed@4.9.4

## 5.3.8

### Patch Changes

- ecf1447: Use common function for generating short IDs
- Updated dependencies [139c6a2]
- Updated dependencies [ecf1447]
  - mux-embed@4.9.3

## 5.3.7

### Patch Changes

- Updated dependencies [0323215]
  - mux-embed@4.9.2

## 5.3.6

### Patch Changes

- Updated dependencies [e4b3b16]
  - mux-embed@4.9.1

## 5.3.5

### Patch Changes

- Updated dependencies [28af90d]
- Updated dependencies [6fc81db]
  - mux-embed@4.9.0

## 5.3.4

### Patch Changes

- Updated dependencies [2572844]
- Updated dependencies [5b57b38]
- Updated dependencies [6bd4336]
  - mux-embed@4.8.0

## 5.3.3

### Patch Changes

- Updated dependencies [d2c2670]
  - mux-embed@4.7.0

## 5.3.2

### Patch Changes

- Updated dependencies [4f2187c]
  - mux-embed@4.6.2

## 5.3.1

### Patch Changes

- Updated dependencies [51476cc]
  - mux-embed@4.6.1

## 5.3.0

### Minor Changes

- ffaf7f5: Bump mux-embed to 4.6.0

## 5.2.0

- Update `mux-embed` to v4.2.0
- Fix an issue where views that resulted from `programchange` may not have been tracked correctly
- Fix an issue where if `destroy` was called multiple times, it would raise an exception

## 5.1.0

- Update `mux-embed` to v4.1.1
- Fix an issue where `player_remote_played` would not be reported correctly

## 5.0.0

- Update `mux-embed` to v4.0.0
- Support server-side device detection

## 4.0.1

- remove mime type detection, Mux will now detect this server-side based on the source
- HLS mime type changed from `application/vnd.apple.mpegurl` to `application/x-mpegurl`. This is part of a larger effort to standardize mime type detection across different players

## 4.0.0

- Only send 'critical' errors to Mux. Previously, any error (including non-fatal errors) could be sent to Mux. See: https://shaka-player-demo.appspot.com/docs/api/shaka.util.Error.html#.Severity
